//---------------------------------------------------------------------------

#ifndef WinDescartesUnit1H
#define WinDescartesUnit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *Help1;
	TMenuItem *A1;
	TMenuItem *Run1;
	TMenuItem *N1;
	TMenuItem *eXit1;
	TPanel *Panel1;
	TEdit *Edit1;
	TButton *Button1;
	TPanel *Panel2;
	TEdit *Edit2;
	TButton *Button2;
	TPanel *Panel3;
	TEdit *Edit3;
	TButton *Button3;
	TMenuItem *Edit4;
	TMenuItem *Argument11;
	TMenuItem *Argument21;
	TMenuItem *Argument31;
	TOpenDialog *OpenDialog1;
	TLabel *Label4;
	TButton *Button4;
	TButton *E1Button;
	TButton *E2Button;
	TButton *E3Button;
	TMenuItem *Openargument1file1;
	TMenuItem *Openarguemnt2file1;
	TMenuItem *openargument3file1;
	TLabel *Label2;
	TLabel *Label1;
	TLabel *Label3;
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall A1Click(TObject *Sender);
	void __fastcall eXit1Click(TObject *Sender);
	void __fastcall Argument11Click(TObject *Sender);
	void __fastcall Argument21Click(TObject *Sender);
	void __fastcall Argument31Click(TObject *Sender);
	void __fastcall Run1Click(TObject *Sender);
	void __fastcall Button4Click(TObject *Sender);
	void __fastcall Panel1DragDrop(TObject *Sender, TObject *Source, int X, int Y);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
